python-django-horizon has a missing dep on python-django-nose

Bug #944235 reported by Justin Shepherd on 2012-03-01
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Dashboard (Horizon)
High
John Postlethwait
horizon (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

/usr/share/pyshared/horizon/tests/testsettings.py lists 'django_nose' in INSTALLED_APPS. It also uses django_nose.NoseTestSuiteRunner as its TEST_RUNNER setting

Justin Shepherd (jshepher) wrote :

Version: 2012.1~e4~20120224.1386-0ubuntu1

Depends: python2.7, python (>= 2.7.1-0ubuntu2), python (<< 2.8), python-django (>= 1.3), python-glance, python-nova, python-cloudfiles, python-eventlet, python-kombu, python-paste, python-pastedeploy, python-crypto, python-dateutil, python-routes, python-sqlalchemy, python-webob, python-xattr, python-novaclient, python-keystoneclient

Dave Walker (davewalker) wrote :

@Justin, do you think this dep should be included on deployed horizon.. or only as part of the package build?

It seems to me, superfluous to include it on a production node.

Changed in openstack-dashboard (Ubuntu):
status: New → Incomplete
importance: Undecided → Low
Download full text (6.7 KiB)

Hello,

if python-django-node is not installed the dashboard doesn't work at all.
The browser shows only "Internal Server Error" and in apache's error.log an error message appears. So i think is must be a Dependency: not only Build-Depency:

Best regards,
Matthias

[Wed Mar 07 14:10:17 2012] [error] DEBUG:openstack_dashboard.settings:Running in debug mode without debug_toolbar.
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] mod_wsgi (pid=17792): Exception occurred processing WSGI script '/usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi'.
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] Traceback (most recent call last):
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/core/handlers/wsgi.py", line 272, in __call__
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] response = self.get_response(request)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/core/handlers/base.py", line 169, in get_response
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] response = self.handle_uncaught_exception(request, resolver, sys.exc_info())
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/core/handlers/base.py", line 203, in handle_uncaught_exception
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] return debug.technical_500_response(request, *exc_info)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/views/debug.py", line 59, in technical_500_response
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] html = reporter.get_traceback_html()
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/views/debug.py", line 151, in get_traceback_html
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] return t.render(c)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/template/base.py", line 123, in render
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] return self._render(context)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/template/base.py", line 117, in _render
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] return self.nodelist.render(context)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/template/base.py", line 744, in render
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] bits.append(self.render_node(node, context))
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/template/debug.py", line 73, in render_node
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] result = node.render(context)
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] File "/usr/lib/python2.7/dist-packages/django/template/debug.py", line 90, in render
[Wed Mar 07 14:10:17 2012] [error] [client 172.24.2.103] output = self.filter_expression.resolve(con...

Read more...

Chuck Short (zulcss) on 2012-03-07
affects: openstack-dashboard (Ubuntu Precise) → horizon (Ubuntu Precise)
Changed in horizon (Ubuntu Precise):
status: Incomplete → Confirmed
importance: Low → Medium
importance: Medium → High
Devin Carlen (devcamcar) on 2012-03-08
Changed in horizon:
status: New → Confirmed
importance: Undecided → High
milestone: none → essex-rc1
Devin Carlen (devcamcar) on 2012-03-08
Changed in horizon:
assignee: nobody → Chuck Short (zulcss)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 2012.1~rc1~20120308.1479-0ubuntu1

---------------
horizon (2012.1~rc1~20120308.1479-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/rules: Fix symlink when installing horizon.
    (LP: #947118)
  * debian/control: Add python-django-nose as a dep. (LP: #944235)
  * debian/control: Fix broken depends.
 -- Chuck Short <email address hidden> Fri, 09 Mar 2012 11:50:22 -0500

Changed in horizon (Ubuntu Precise):
status: Confirmed → Fix Released
Changed in horizon:
assignee: Chuck Short (zulcss) → John Postlethwait (john-postlethwait)
Changed in horizon:
status: Confirmed → In Progress

Confirmed installing python-django-horizon also installs python-django-nose

Changed in horizon:
status: In Progress → Fix Released

Nothing further required on Horizon for this.

Thierry Carrez (ttx) on 2012-04-05
Changed in horizon:
milestone: essex-rc1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers